Page MenuHomePhabricator

[Bug] Mobile watchlist broken
Closed, ResolvedPublicBUG REPORT

Description

Steps to reproduce

  1. Log in to the mobile site and visit watchlist on mediawiki with AMC off\

Expected results

  • Watchlist is not broken

Actual results

WhatsApp Image 2024-04-11 at 08.44.32.jpeg (2×921 px, 83 KB) Wikivoyage_Screenshot_2024-04-10-11-21-00-_Watchlist.jpg (1×461 px, 51 KB)

Environments observed

  • Browser version:
  • OS version:
  • Device model:
  • Device language:

Check any additional observations

Note: original report is from Wikivoyage:
https://en.m.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub?markasread=594092&markasreadwiki=enwikivoyage#/media/File%3AWikivoyage_Screenshot_2024-04-10-11-21-00-_Watchlist.jpg

QA Results - Beta

ACStatusDetails
1T362297#9711020

QA Results - Prod

ACStatusDetails
1T362297#9711117

Event Timeline

ovasileva triaged this task as Unbreak Now! priority.Apr 11 2024, 6:53 AM
ovasileva created this task.

When I hit https://en.m.wikivoyage.org/wiki/Special:Watchlist I get redirected https://en.m.wikivoyage.org/wiki/Special:EditWatchlist and I do not get the top navigation bar with All Pages Talk Other nor the time/delta on the side :/ Or can it be fixed during the day? :)

Using git bisect and testing locally, I can verify that https://gerrit.wikimedia.org/r/c/mediawiki/extensions/MobileFrontend/+/1015636 is the offending commit.
Regarding the redirect, I'm able to reproduce that too, and I see that it's a separate issue, not produced by the offending patch :/
On my local, I can see that the redirect from Special:Watchlist to Special:EditWatchlist only happens for non-admin users.
admin users are still able to visit Special:Watchlist.

it looks like the overlay issue was an existing bug that was made visible by the addition of a grey background. The screenshot below shows the positioning of the elements *before* the patch. By adding a grey background to the element, as the patch did, the text beside it overlaps. The offending patch did not change the positioning of the elements. Instead of reverting this patch, I think it would be simpler to remove this grey background I think a revert is warranted because the size of the element also changed, so just removing the grey background won't entirely fix the issue. As a follow-up, we should fix the positioning and re-introduce this grey background (which was intended for thumbnails).

Screenshot 2024-04-11 at 10.28.26 AM.png (891×589 px, 69 KB)

Change #1018973 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[mediawiki/extensions/MobileFrontend@master] Revert "Update mobile search for dark mode, remove unused functions in MobilePage.php"

https://gerrit.wikimedia.org/r/1018973

Change #1018973 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] Revert "Update mobile search for dark mode, remove unused functions in MobilePage.php"

https://gerrit.wikimedia.org/r/1018973

Change #1018974 had a related patch set uploaded (by Hashar; author: Jdrewniak):

[mediawiki/extensions/MobileFrontend@wmf/1.42.0-wmf.26] Revert "Update mobile search for dark mode, remove unused functions in MobilePage.php"

https://gerrit.wikimedia.org/r/1018974

Change #1018974 merged by Hashar:

[mediawiki/extensions/MobileFrontend@wmf/1.42.0-wmf.26] Revert "Update mobile search for dark mode, remove unused functions in MobilePage.php"

https://gerrit.wikimedia.org/r/1018974

Mentioned in SAL (#wikimedia-operations) [2024-04-11T16:29:00Z] <hashar@deploy1002> Started scap: Backport for [[gerrit:1018974|Revert "Update mobile search for dark mode, remove unused functions in MobilePage.php" (T362297)]]

Mentioned in SAL (#wikimedia-operations) [2024-04-11T16:31:41Z] <hashar@deploy1002> hashar: Backport for [[gerrit:1018974|Revert "Update mobile search for dark mode, remove unused functions in MobilePage.php" (T362297)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

I have verified the fix on the debug server using my admin account on MediaWiki.org. I have used https://m.mediawiki.org/wiki/Special:Watchlist?debug=1 to nuke the resource loader cache.

This task is no more blocking the train, however T362338 still does :)

hashar lowered the priority of this task from Unbreak Now! to High.Apr 11 2024, 4:37 PM

Mentioned in SAL (#wikimedia-operations) [2024-04-11T16:45:48Z] <hashar@deploy1002> Finished scap: Backport for [[gerrit:1018974|Revert "Update mobile search for dark mode, remove unused functions in MobilePage.php" (T362297)]] (duration: 16m 47s)

Edtadros subscribed.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Sonoma
Browser: Chrome
Device: MBA
Emulated Device:NA

Test Artifact(s):

QA Steps

Log in to the mobile site and visit watchlist on mediawiki with AMC off\
✅ AC1: Watchlist is not broken. There should NOT be a gray band on the left hand side.

screenshot 197.png (934×430 px, 57 KB)

Test Result - Prod

Status: ✅ PASS
Environment: enwiki
OS: macOS Sonoma
Browser: Chrome
Device: MBA
Emulated Device:NA

Test Artifact(s):

QA Steps

Log in to the mobile site and visit watchlist on mediawiki with AMC off\
✅ AC1: Watchlist is not broken. There should NOT be a gray band on the left hand side.

screenshot 198.png (933×429 px, 89 KB)

Change #1019178 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/extensions/MobileFrontend@master] Second attempt at "Update mobile search for dark mode, remove unused functions in MobilePage.php""

https://gerrit.wikimedia.org/r/1019178